%global realname pycollada
%global realver 0.4

Name:           python-collada
Version:        0.4.0
Release:        %mkrel 6
Summary:        A python module for creating, editing and loading COLLADA
Group:          Development/Python

License:        BSD
URL:            https://github.com/pycollada/pycollada/archive/v%{realver}.tar.gz
Source0:        %{realname}-%{realver}.tar.gz
# Disable pypi downloads in setup.py to guarantee use of only system libs
Patch0:         python-collada-0.4-disable_unittest_downloads.patch

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
# unit test requirements
BuildRequires:  python-dateutil
BuildRequires:  python-unittest2
BuildRequires:  python-numpy

Requires:       python-dateutil
Requires:       python-numpy


%description
pycollada is a python module for creating, editing and loading COLLADA, which
is a COLLAborative Design Activity for establishing an interchange file format
for interactive 3D applications.

The library allows you to load a COLLADA file and interact with it as a python
object. In addition, it supports creating a collada python object from scratch,
as well as in-place editing.


%prep
%setup -q -n %{realname}-%{realver}
%patch0 -p1 -z .no_downloads


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%check
%{__python} setup.py test


%files
%doc AUTHORS.md CHANGELOG.rst COPYING README.markdown
%{python_sitelib}/*




%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.4.0-6.mga6
+ Revision: 952017
- Mageia 6 Mass Rebuild

* Tue Jan 13 2015 shlomif <shlomif> 0.4.0-5.mga5
+ Revision: 810307
- Remove trailing space
- Importing python-collada (thanks to Richard Houser)


* Sat Dec 20 2014 Rick Houser <rick@divinesymphony.net> - 0.4.0-5
- Ported from Fedora 17 (python-collada 0.4-3) to Mageia 3.
- Original packageing credit goes to Richard Shaw and John Morris
